Skip to main content
GET
/
api
/
v1
/
auth
/
user
/
phone
/
{phone}
Get user by phone number
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/user/phone/{phone} \
  --header 'Authorization: Bearer <token>'
{
  "id": "383f20af-5960-4374-a5c3-b7566ea8f771",
  "email": "tigger.germain@gmail.com",
  "phone_number": "+254723453286"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone
string<phone>
required

User phone number.

Response

200 - application/json

User found

id
string<uuid>

User ID.

email
string<email>

User email.

phone_number
string

Phone in E.164 format.

first_name
string

Given name.

last_name
string

Family name.

role
string

Assigned role.

kyc_status
string

Current KYC status.